|  | unicode.h File Reference updated Wed Apr 10 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
unicode.h File Reference

Get Unicode character class ranges and UTF-8 regex translations. More...

`#include <reflex/posix.h>`
Include dependency graph for unicode.h:

## Classes

class | reflex::Unicode::Tables

## Namespaces

| reflex
| reflex::Unicode

## Functions

const int * | reflex::Unicode::range (const char *)
int | reflex::Unicode::compose (int, int)

## Detailed Description

Get Unicode character class ranges and UTF-8 regex translations.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt